package gradledemo

import kotlin.test.assertEquals
import kotlin.test.assertFailsWith
import org.junit.Test

class TestSource {
  @Test fun failGrade() {
    assertEquals("Fail", grade(0))
    assertEquals("Fail", grade(20))
    assertEquals("Fail", grade(39))
  }

  @Test fun passGrade() {
    assertEquals("Pass", grade(40))
    assertEquals("Pass", grade(55))
    assertEquals("Pass", grade(69))
  }

  @Test fun distinctionGrade() {
    assertEquals("Distinction", grade(70))
    assertEquals("Distinction", grade(85))
    assertEquals("Distinction", grade(100))
  }

  @Test fun markTooLow() {
    assertFailsWith(IllegalArgumentException::class) {
      grade(-1)
    }
  }

  @Test fun markTooHigh() {
    assertFailsWith(IllegalArgumentException::class) {
      grade(101)
    }
  }
}
